## collatinus 7.14

=== Makefile ===
DESTDIR =

all : doc/collatinus.html doc/collatinus.pdf

doc/collatinus.html : doc/collatinus.tex
	cd doc; hyperlatex collatinus.tex

doc/collatinus.pdf : doc/collatinus.tex
	cd doc; pdflatex collatinus.tex

install : all
	cd python-wx; cp -a *.py $(DESTDIR)/usr/lib/collatinus/; \
	  cp caesar.txt $(DESTDIR)/usr/share/doc/collatinus
	gzip -c -9 doc/collatinus.1 > \
	  $(DESTDIR)/usr/share/man/man1/collatinus.1.gz
	ln -s /usr/lib/collatinus/collatinus.py $(DESTDIR)/usr/bin/collatinus

install-data : all
	cp -a share/*.xml share/*.xml.vacuum share/conf.* \
	  python-wx/images \
	  $(DESTDIR)/usr/share/collatinus

install-doc : all
	cp doc/*.html doc/*.pdf $(DESTDIR)/usr/share/doc/collatinus/html

clean :
	cd doc; rm -f *.html *.log *.aux *.dvi *.ps *.pdf *.idx *.out *.toc *~ .log
	cd python-wx; rm -f *.pyc *~ lemmata

=== python-wx/Makefile ===
all : mksymlinks

mksymlinks :
	ln -sf ../share/*.xml .

=== python/Makefile ===
all : mksymlinks

mksymlinks :
	ln -s ../share/*.xml .

=== ocaml/gui/Makefile ===
collatinus: del latinus guibase cmx
	ocamlopt -o collatinus -I +lablgtk2 lablgtk.cmxa guibase.cmx str.cmxa frequences.ml latinus.cmx collatinus.cmx
guibase:
	ocamlopt -c -I +lablgtk2 lablgtk.cmxa guibase.ml
latinus:	
	ocamlopt -c str.cmxa frequences.ml latinus.ml
latinus.opt:
	ocamlopt str.cmxa latinus.ml -o frequences.ml latinus  
cmx:
	ocamlopt -c -I +lablgtk2 lablgtk.cmxa collatinus.ml
del:
	rm -f latinus collatinus
clean:
	rm -f *.cmi *.cmo *.cmx *.o

=== ocaml/lexicum/Makefile ===
all:
	#ocamlc -I +lablgtk2 -o colllex lablgtk.cma gtkInit.cmo str.cma latinus.ml colllex.ml
	ocamlc -I +lablgtk2 -o colllex lablgtk.cma gtkInit.cmo str.cma colllex.ml
clean:
	rm -f *.cm* *.o

## collatinus 9.2

=== doc/Makefile ===

all: collatinus.html collatinus.pdf

clean:
	rm -f *.aux *.idx *.log *.dvi *~ *.html *.4* *.idv *.css *.lg *.tmp *.xref *.pdf *.out

collatinus.html: collatinus.tex
	htlatex $<
	cp collatinus.css.alt collatinus.css
collatinus.pdf: collatinus.tex
	pdflatex $<

.PHONY : all clean

## collatinus 9.4

=== debian/changelog ===
collatinus (9.4-2) unstable; urgency=low

  * wrote Conflicts and Replaces stances to make collatinus installable
    over previously installer versions of the same package.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 07 Sep 2011 18:52:06 +0200

collatinus (9.4-1) unstable; urgency=low

  * upgraded to the newer upstream version
  * updated Standards-Version to 3.9.2
  * switched to source format 3.0 (quilt)
  * simplified debian/rules to use only "dh $@"
  * fixed a small bug in src/main.cpp
  * suppressed two binary packages which were cumbersome and useless:
    collatinus9 and collatinus-doc; now collatinus is built for "any"
    architecture.
  * added a recommends-dependency on felix-latin
  * removed build-dependencies on latex and inkscape packages

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 07 Sep 2011 17:18:10 +0200

collatinus (9.3-4) unstable; urgency=low

  * modified the build-dependencies to get ucs.sty in Sid
    Closes: 562318
  * use inkscape to convert SVG -> PNG, since imagemagick don't recognize
    anymore the source file. Fixed the build-dependency.
  * modified the path to access lucretia.txt

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 04 Jan 2010 18:47:38 +0100

collatinus (9.3-3) unstable; urgency=low

  * updated linitian and fixed the newer warnings

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Oct 2009 14:07:21 +0100

collatinus (9.3-2) unstable; urgency=low

  * fixed collatinus.pro, thanks to Yves Ouvrard's e-mail
  * added the installation routine for the files expressions.fr and 
    config

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 09 Jun 2009 00:08:33 +0200

collatinus (9.3-1) unstable; urgency=low

  * upgraded to the newer upstream release 
    (http://lucrece.no-ip.org/collatinus-9-7juin09.tar.gz)
  * fixed a lot of inconsistent encodings in doc/*.html
  * updated the standards version level to 3.8.1

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 07 Jun 2009 17:42:00 +0200

collatinus (9.2-3) unstable; urgency=low

  * upgraded compat and debhelper's version to 6.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 11 Feb 2009 15:49:08 +0100

collatinus (9.2-2) unstable; urgency=low

  * added build-dependencies upon tex4ht, texlive-latex-recommended,
    tetex-latex-base, texlive-fonts-recommended

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 10 Feb 2009 14:40:12 +0100

collatinus (9.2-1) unstable; urgency=low

  * upgraded to the new upstream version which provides a better 
    encoding for the documentation, and features a win32 package.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 27 Jan 2009 08:22:55 +0100

collatinus (9.1-3) unstable; urgency=low

  * modified the rules to avoid the dependency on inkscape which cannot 
    run easily in pbuilder's chroot. Added a file alpha.xpm to generate
    the binary alpha.png

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 25 Jan 2009 19:43:07 +0100

collatinus (9.1-2) unstable; urgency=low

  * included a new file alpha.svg sent by Yves Ouvrard. Modified 
    debian/rules and debian/control to manage it with inkscape.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 24 Jan 2009 18:48:10 +0100

collatinus (9.1-1) unstable; urgency=low

  * upgraded to the new upstream version
  * fixed the encoding irregularities of files doc/*.html
  * restored the man file doc/collatinus.1
  * fixed a syntax error (main.cpp, line 826)
  * modified the variable "uia" to access the data (main.cpp, line 828)
  * modified the variable "html" to display the help (main.cpp, line 690)
  * modified the messageBox "about collatinus" to take in account the actual version and 
    license data. (main.cpp, lines 310-313)
  * fixed the file debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 14 Jan 2009 10:06:20 +0100

collatinus (8.1-2) unstable; urgency=low

  * merged a new version of the upstream files for collatinus.qrc and 
    collatinus.ui

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 19 Jan 2007 17:09:05 +0100

collatinus (8.1-1) unstable; urgency=low

  * added collatinus.tex, sent by Y. Ouvrard

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  7 Jan 2007 15:47:39 +0100

collatinus (8.0-1) unstable; urgency=low

  * upgraded to the new upstream version, which is based on C++/QT4

 -- Georges Khaznadar <georgesk@ofset.org>  Fri,  5 Jan 2007 17:39:50 +0100

collatinus (7.14-3) unstable; urgency=low

  * deleted the alternative dependence on python-wxgtk2.4
    Closes: #392001

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 10 Oct 2006 18:43:59 +0200

collatinus (7.14-2) unstable; urgency=low

  * overrided the Section for collatinus-doc: thanks to Adam D. Barratt
    <debian-bts@adam-barratt.org.uk>
  * confirmation of Pierre Habouzit's modifications.
    Closes: #380776

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  8 Oct 2006 11:43:26 +0200

collatinus (7.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380776).
  * Bump Standards-Version to 3.7.2.
  * Move debhelper to Build-Depends.
  * collatinus-data has no sense: collatinus is already arch:all, so merge the
    packages.
  * generate the lematta at build time, instead of install time (it was not
    even removed in the prerm !)

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 30 Aug 2006 12:30:10 +0200

collatinus (7.14-1) unstable; urgency=low

  * upgraded to the new upstream version
  * improved the long description for collatinus-doc, thanks to Ben
    Burton <bab@debian.org>
    Closes: #353795
  * restored the dependency on python-wxgtk2.4|python-wxgtk2.6 since
    Yves Ouvrard claims that the new version is compatible with both of
    them. Really Closes: #353368

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  5 Mar 2006 21:36:28 +0100

collatinus (7.13-2) unstable; urgency=low

  * removed the dependance on python-wxgtk2.4, python-wxgtk2.6 is necessary.
    Closes Bug#353368



=== debian/control ===
Source: collatinus
Section: text
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>> 6.0.0),
 qt4-designer, qt4-dev-tools, qt4-qtconfig, libqt4-dev
Standards-Version: 3.9.2

Package: collatinus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: collatinus (<< 9.4), collatinus9 (<< 9.4), collatinus-doc (<< 9.4),
 collatinus8, collatinus7
Recommends: felix-latin
Description: lemmatisation of latin text
 Collatinus can be used to lemmatise latin texts, i.e. extract words and
 make a lexicon which indicates for each word its canonic form, and how
 the form actually found in the text was derived from it, for instance by
 declining it. Example : rosam gives : rosa-rosae -- acc. sing.
 Collatinus provides a nice graphic front-end to each operation.
 .
 Collatinus-nouus (stands for Collatinus, new generation) replaces every
 previous version of Collatinus.
 .
 This package provides a documentation in HTML format.

## collatinus 10.0

=== doc/src/Makefile ===
html:
	a2x -f chunked collatinus.txt; mv collatinus.chunked/* ../; rmdir collatinus.chunked
pdf:
	a2x -f pdf collatinus.txt
clean:
	rm ../*.*

=== debian/changelog ===
collatinus (10.0-6) unstable; urgency=low

  * included the English translation of help, thanks to Thérèse Bonin.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Jun 2013 19:45:46 +0200

collatinus (10.0-5) unstable; urgency=low

  * modified the way to compute the path to resources. Closes: #712746
  * ensured the generation of the locale fr_FR.UTF-8, and added
    a dependency on the package locales. Closes: #712940

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Jun 2013 12:15:35 +0200

collatinus (10.0-4) unstable; urgency=low

  * modified initializations of std::locale instance. Closes: #696245
  * changed my DEBEMAIL

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Jan 2013 13:38:03 +0100

collatinus (10.0-3) unstable; urgency=low

  * got a patch from Yves Ouvrard, and adapted it for the Debian
    package. It adds the possibility to have a warning if the recommended
    package felix-latin is not installed and that somebody wants to
    use this feature.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 14 Jun 2012 18:31:19 +0200

collatinus (10.0-2) unstable; urgency=low

  * applied Yves Ouvrard's patch to enable the realtion between collatinus
    and felix-latin
  * changed the name of a file in the source main.cpp gaffiot.djvu => Gaffiot.djvu
  * modified debian/rules to create the right symlink to felix-latin-data's
    stuff
  * changed Recommends: dependency to be felix-latin-data
  * 

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 May 2012 11:20:34 +0000

collatinus (10.0-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * upgraded Standards-version to 3.9.3
  * verified that collatinus needs no more a symlink to function.
    Closes: #670891
  * moved a binary from /usr/share to /usr/bin, made a symlink from its
    manpage to the manpage of collatinus
  * fixed the versioned dependency for debhelper

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 14 May 2012 07:10:03 +0000

collatinus (9.4-3) unstable; urgency=low

  * modified the install path to get rid of "collatinus9" directory

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 09 Sep 2011 16:51:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: collatinus
 Section: text
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>> 6.0.0),
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends: debhelper (>> 9.0.0),
  qt4-designer, qt4-dev-tools, qt4-qtconfig, libqt4-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: collatinus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, locales
 Conflicts: collatinus (<< 9.4), collatinus9 (<< 9.4), collatinus-doc (<< 9.4),
  collatinus8, collatinus7
-Recommends: felix-latin
+Recommends: felix-latin-data
 Description: lemmatisation of latin text
  Collatinus can be used to lemmatise latin texts, i.e. extract words and
  make a lexicon which indicates for each word its canonic form, and how

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

DESTDIR=$(CURDIR)/debian/collatinus

override_dh_auto_install:
	dh_auto_install
	mv $(DESTDIR)/usr/share/collatinus10/collatinus \
	  $(DESTDIR)/usr/bin/collatinus-bin
	ln -s /usr/bin/collatinus-bin \
	  $(DESTDIR)/usr/share/collatinus10/collatinus
	ln -sf /usr/share/felix $(DESTDIR)/usr/share/collatinus10/felix
	mkdir -p $(DESTDIR)/usr/share/man/man1/
	ln -s collatinus.1.gz $(DESTDIR)/usr/share/man/man1/collatinus-bin.1.gz

## collatinus 10.2

=== debian/changelog ===
collatinus (10.2-2) unstable; urgency=medium

  * added a dependency on djvulibre-bin, thanks to José Luis Redrejo's
    notice.
  * patched the source according to an e-mail of Yves Ouvrard. This provides
    a few encoding fixes.
  * added a dependency on djview4
  * removed the obsoleted build-dependency on hardening-wrapper
  * modified collatinus.pro to take in account {C|CXX|LD}FLAGS

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 May 2014 20:08:00 +0200

collatinus (10.2-1) unstable; urgency=medium

  * upgraded to the newest upstream version.
  * upgraded Standards-Version to 3.9.5
  * empowered hardening-wrapper

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 09 Apr 2014 17:46:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>> 9.0.0),
  qt4-designer, qt4-dev-tools, qt4-qtconfig, libqt4-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: collatinus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, locales
+Depends: ${shlibs:Depends}, ${misc:Depends}, locales, djvulibre-bin,
+ djview4|djview
 Conflicts: collatinus (<< 9.4), collatinus9 (<< 9.4), collatinus-doc (<< 9.4),
  collatinus8, collatinus7
 Recommends: felix-latin-data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

%:
	dh  $@

## collatinus 11

=== doc-usr/Makefile ===
e="<meta charset=\"utf-8\">
<link rel=\"stylesheet\" href=\"doc.css\"/>"
dest=../bin/doc/

but:
	echo $e > $(dest)index.html;         markdown index.md >> $(dest)index.html
	echo $e > $(dest)anatomie.html;      markdown anatomie.md >> $(dest)anatomie.html
	echo $e > $(dest)debuter.html;       markdown debuter.md >> $(dest)debuter.html
	echo $e > $(dest)lemmatiser.html;    markdown lemmatiser.md >> $(dest)lemmatiser.html
	echo $e > $(dest)dictionnaires.html; markdown dictionnaires.md >> $(dest)dictionnaires.html
	echo $e > $(dest)scander.html;       markdown scander.md >> $(dest)scander.html
	echo $e > $(dest)flechir.html;       markdown flechir.md >> $(dest)flechir.html
	echo $e > $(dest)avancee.html;       markdown avancee.md >> $(dest)avancee.html
	echo $e > $(dest)programmeurs.html;  markdown programmeurs.md >> $(dest)programmeurs.html
	echo $e > $(dest)licence.html;       markdown licence.md >> $(dest)licence.html
	cp doc.css ../bin/doc/
	cp *.png ../bin/doc/

test:
	$(BROWSER) ../bin/doc/index.html

=== debian/changelog ===
collatinus (11-1~bpo9+1) stretch-backports; urgency=medium

  * added VCS stuff to be able to maitain this package collaboratively
  * rebuilt in a strech chroot

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Oct 2018 15:19:15 +0200

collatinus (11-1) unstable; urgency=medium

  * New upstream release
  * changed build-dependencies for Qt5
  * Upgraded Standards-Version to 4.1.3, debhelper to 10
  * written collatinus.install since the Makefile does not install properly
    the application
  * written debian patches because the upstream application relies on
    application data to be in the application's directory.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Mar 2018 20:18:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: text
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>> 9.0.0),
- qt4-designer, qt4-dev-tools, qt4-qtconfig, libqt4-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>> 10),
+ qt5-qmake, qtchooser, qtbase5-dev, qtbase5-dev-tools, qttools5-dev-tools,
+ libqt5printsupport5,
+ libqt5svg5-dev
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/georgesk/collatinus.git
+Vcs-Git: https://salsa.debian.org/georgesk/collatinus.git
 
 Package: collatinus
 Architecture: any

## collatinus 12.0

=== debian/changelog ===
collatinus (12.0-2) unstable; urgency=medium

  * included Yves Ouvrard's modifications to src/maj.cpp: the management
    of new dictionaries becomes smarter

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Sep 2021 16:10:13 +0200

collatinus (12.0-1) unstable; urgency=medium

  * new upstream version; fixes a missing file and some minor details
  * adjusted debian patches
  * defined a target override_dh_auto_configure i d/rules to enforce
    the file collatinus.pro as the project file for qmake
  * modified the patch pathToData.patch in order to populate the
    directory ${HOME}/.local/share/collatinus/data with relevant data

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Sep 2021 16:37:43 +0200

collatinus (12-1) UNRELEASED; urgency=medium

  * new upstream version
  * added VCS stuff to be able to maintain this package collaboratively
  * adjusted debian patches
  * simplified a little debian-rules (for "clean" target)
  * added a build-dependency on libquazip5-dev

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 01 Sep 2021 18:56:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends: debhelper (>> 10),
  qt5-qmake, qtchooser, qtbase5-dev, qtbase5-dev-tools, qttools5-dev-tools,
  libqt5printsupport5,
- libqt5svg5-dev
+ libqt5svg5-dev,
+ libquazip5-dev
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/georgesk/collatinus.git
 Vcs-Git: https://salsa.debian.org/georgesk/collatinus.git

## collatinus 12.1

=== debian/changelog ===
collatinus (12.1-1) unstable; urgency=medium

  * new upstream version, got by e-mail, then exported again from
    https://github.com/biblissima/collatinus/tree/c12
  * adjusted patches
  * added a new build-dependency, libqt5svg5-dev
  * bumped Standards-Version: 4.6.0, debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Feb 2022 15:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: text
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>> 10),
+Build-Depends: debhelper-compat (=13),
  qt5-qmake, qtchooser, qtbase5-dev, qtbase5-dev-tools, qttools5-dev-tools,
  libqt5printsupport5,
  libqt5svg5-dev,
- libquazip5-dev
-Standards-Version: 4.1.3
+ libquazip5-dev,
+ libqt5svg5-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/georgesk/collatinus.git
 Vcs-Git: https://salsa.debian.org/georgesk/collatinus.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,20 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_HARDENING=1
+export QT_SELECT=qt5
 
 %:
 	dh  $@
 
+override_dh_auto_clean:
+	dh_auto_clean
+	# remove generated translation files
+	rm -f *.qm
+
+override_dh_auto_configure:
+	qmake -makefile "QMAKE_CFLAGS_RELEASE=-g -O2 -ffile-prefix-map=/tmp/collatinus-c12=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" "QMAKE_CFLAGS_DEBUG=-g -O2 -ffile-prefix-map=/tmp/collatinus-c12=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" "QMAKE_CXXFLAGS_RELEASE=-g -O2 -ffile-prefix-map=/tmp/collatinus-c12=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" "QMAKE_CXXFLAGS_DEBUG=-g -O2 -ffile-prefix-map=/tmp/collatinus-c12=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" QMAKE_LFLAGS_RELEASE=-Wl,-z,relro QMAKE_LFLAGS_DEBUG=-Wl,-z,relro QMAKE_STRIP=: PREFIX=/usr collatinus.pro
+
+override_dh_auto_build:
+	dh_auto_build
+	# release the translation files as .qm format
+	for f in *.ts; do lrelease $$f; done

## collatinus 12.2

=== doc-usr/Makefile ===
--- 
+++ 
@@ -3,19 +3,29 @@
 dest=../bin/doc/
 
 but:
+	rm -r $(dest)
+	mkdir $(dest)
 	echo $e > $(dest)index.html;         markdown index.md >> $(dest)index.html
 	echo $e > $(dest)anatomie.html;      markdown anatomie.md >> $(dest)anatomie.html
 	echo $e > $(dest)debuter.html;       markdown debuter.md >> $(dest)debuter.html
 	echo $e > $(dest)lemmatiser.html;    markdown lemmatiser.md >> $(dest)lemmatiser.html
+	echo $e > $(dest)modules.html;       markdown modules.md >> $(dest)modules.html
+	echo $e > $(dest)coloriser.html;     markdown coloriser.md >> $(dest)coloriser.html
 	echo $e > $(dest)dictionnaires.html; markdown dictionnaires.md >> $(dest)dictionnaires.html
 	echo $e > $(dest)scander.html;       markdown scander.md >> $(dest)scander.html
 	echo $e > $(dest)flechir.html;       markdown flechir.md >> $(dest)flechir.html
+	echo $e > $(dest)tagger.html;        markdown tagger.md  >> $(dest)tagger.html
+	echo $e > $(dest)server.html;        markdown server.md  >> $(dest)server.html
 	echo $e > $(dest)avancee.html;       markdown avancee.md >> $(dest)avancee.html
 	echo $e > $(dest)programmeurs.html;  markdown programmeurs.md >> $(dest)programmeurs.html
 	echo $e > $(dest)licence.html;       markdown licence.md >> $(dest)licence.html
 	cp doc.css ../bin/doc/
 	cp *.png ../bin/doc/
 
+clean:
+	echo suppression de la documentation
+	rm -r $(dest)
+
 test:
 	$(BROWSER) ../bin/doc/index.html

=== debian/changelog ===
collatinus (12.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:58 +1100

collatinus (12.2-1ubuntu1) noble; urgency=medium

  * Replace libqt5printsupport5 with libqt5printsupport5t64 in Build-
    Depends.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 25 Mar 2024 14:38:24 +1300

collatinus (12.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:06:45 +0000

collatinus (12.2-1) unstable; urgency=medium

  * applied Helmut Grohne's patch, thanks!
    Fix FTCBFS: Let dh_auto_configure pass cross flags to qmake.
    Closes: #994694
  * removed the debian patch fhs+hardening.patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Aug 2023 20:43:26 +0200

collatinus (12.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + collatinus: Drop versioned constraint on collatinus in Conflicts.

  [Georges Khaznadar]
  * bumped Standards-Version: 4.6.2
  
 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:02:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: collatinus
 Section: text
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends: debhelper-compat (= 13),
  qt5-qmake, qtchooser, qtbase5-dev, qtbase5-dev-tools, qttools5-dev-tools,
- libqt5printsupport5,
+ libqt5printsupport5t64,
  libqt5svg5-dev,
  libquazip5-dev,
  libqt5svg5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/collatinus.git
 Vcs-Git: https://salsa.debian.org/georgesk/collatinus.git
 
@@ -16,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, locales, djvulibre-bin,
  djview4|djview
-Conflicts: collatinus (<< 9.4), collatinus9 (<< 9.4), collatinus-doc (<< 9.4),
+Conflicts: collatinus9 (<< 9.4), collatinus-doc (<< 9.4),
  collatinus8, collatinus7
 Recommends: felix-latin-data
 Description: lemmatisation of latin text

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export QT_SELECT=qt5

%:
	dh  $@

override_dh_auto_clean:
	dh_auto_clean
	# remove generated translation files
	rm -f *.qm

override_dh_auto_configure:
	dh_auto_configure -- collatinus.pro

override_dh_auto_build:
	dh_auto_build
	# release the translation files as .qm format
	for f in *.ts; do lrelease $$f; done
